org.apache.ignite.internal.visor.encryption

## Class VisorCacheGroupEncryptionTask.VisorReencryptionBaseJob<T>

- java.lang.Object
- - org.apache.ignite.compute.ComputeJobAdapter
  - - org.apache.ignite.internal.visor.VisorJob<VisorCacheGroupEncryptionTaskArg,VisorCacheGroupEncryptionTask.VisorSingleFieldDto<T>>
    - - org.apache.ignite.internal.visor.encryption.VisorCacheGroupEncryptionTask.VisorReencryptionBaseJob<T>

Type Parameters:
  `T` - Type of job result.

All Implemented Interfaces:
  Serializable, Callable<Object>, ComputeJob

Enclosing class:
  VisorCacheGroupEncryptionTask<T>

    protected abstract static class VisorCacheGroupEncryptionTask.VisorReencryptionBaseJob<T>
    extends VisorJob<VisorCacheGroupEncryptionTaskArg,VisorCacheGroupEncryptionTask.VisorSingleFieldDto<T>>

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorJob

`debug, ignite, start`

### Constructor Summary

Constructors
`protected` `VisorReencryptionBaseJob(@Nullable VisorCacheGroupEncryptionTaskArg arg, boolean debug)`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected VisorCacheGroupEncryptionTask.VisorSingleFieldDto<T>` `run(VisorCacheGroupEncryptionTaskArg arg)` Execution logic of concrete job.
`protected abstract VisorCacheGroupEncryptionTask.VisorSingleFieldDto<T>` `run0(CacheGroupContext grp)` Executes internal logic of the job.

### Methods inherited from class org.apache.ignite.internal.visor.VisorJob

`execute`

### Methods inherited from class org.apache.ignite.compute.ComputeJobAdapter

`argument, arguments, call, cancel, isCancelled, setArguments`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorReencryptionBaseJob

    protected VisorReencryptionBaseJob(@Nullable
                                       @Nullable VisorCacheGroupEncryptionTaskArg arg,
                                       boolean debug)

Parameters:
  `arg` - Job argument.
  `debug` - Flag indicating whether debug information should be printed into node log.

### Method Detail

#### run

    protected VisorCacheGroupEncryptionTask.VisorSingleFieldDto<T> run(VisorCacheGroupEncryptionTaskArg arg)
                                                                throws IgniteException

Execution logic of concrete job.

Specified by:
  `run` in class `VisorJob<VisorCacheGroupEncryptionTaskArg,VisorCacheGroupEncryptionTask.VisorSingleFieldDto<T>>`
Parameters:
  `arg` - Task argument.
Returns:
  Result.
Throws:
  `IgniteException` - In case of error.

#### run0

    protected abstract VisorCacheGroupEncryptionTask.VisorSingleFieldDto<T> run0(CacheGroupContext grp)
                                                                          throws IgniteCheckedException

Executes internal logic of the job.

Parameters:
  `grp` - Cache group.
Returns:
  Result.
Throws:
  `IgniteCheckedException` - In case of error.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022